Package uk.ac.starlink.vo

# Interface AdqlExample

All Known Implementing Classes:
  `AbstractAdqlExample`, `DataModelAdqlExample`

public interface AdqlExample
Represents a type of example ADQL query. The query text can be generated as a function of given service metadata.

Since:
  29 Mar 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getAdqlText(boolean lineBreaks, VersionedLanguage lang, TapCapability tcap, TableMeta[] tables, TableMeta table, double[] skypos)`
Produces ADQL text for a query of the type represented by this object, for a given set of service details.
`String`
`getDescription()`
Returns this example's description.
`URL`
`getInfoUrl()`
Returns a documentation URL associated with this example if available.
`String`
`getName()`
Returns this example's name.

## Method Details

### getAdqlText

String getAdqlText(boolean lineBreaks, VersionedLanguage lang, TapCapability tcap, TableMeta[] tables, TableMeta table, double[] skypos)
Produces ADQL text for a query of the type represented by this object, for a given set of service details.

Parameters:
  `lineBreaks` - whether output ADQL should include multiline formatting
  `lang` - ADQL language variant
  `tcap` - TAP capability object
  `tables` - table metadata set
  `table` - currently selected table
  `skypos` - 2-element array giving preferred (RA,Dec) sky position in degrees, or null if none preferred
Returns:
  example text, or null if no example can be constructed given the input values

### getName

String getName()
Returns this example's name.

Returns:
  name

### getDescription

String getDescription()
Returns this example's description.

Returns:
  short description

### getInfoUrl

URL getInfoUrl()
Returns a documentation URL associated with this example if available.

Returns:
  documentation URL (suitable for browser display), or null